<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      lang="de">
<ui:composition template="../templates/template.xhtml">
    <ui:define name="content">
        <h1>Edit Project</h1>
        <h:form id="projectEdit" enctype="multipart/form-data" prependId="true">
            <div class="mb-3">
                <label for="projectName" class="form-label">Name</label>
                <h:inputText validator="${project.validate}" value="#{project.projectName}" styleClass="#{component.valid ? '' : 'is-invalid'} form-control" id="projectName"/>
                <div class="invalid-feedback">
                    <h:message for="projectName"/>
                </div>
            </div>
            <div class="mb-3">
                <label for="projectDescription" class="form-label">Description</label>
                <h:inputText validator="${project.validate}" value="#{project.projectDescription}" styleClass="#{component.valid ? '' : 'is-invalid'} form-control" id="projectDescription"/>
                <div class="invalid-feedback">
                    <h:message for="projectDescription"/>
                </div>
            </div>
            <h:inputHidden value="#{project.projectID}" id="projectID"/>
            <h:button type="button" outcome="/projects.xhtml" value="Cancel" styleClass="btn btn-primary"/>
            <h:commandButton styleClass="btn btn-primary" action="#{project.updateProject}" value="Update"/>
        </h:form>
    </ui:define>
</ui:composition>
</html>
